# Communication entre un attiny_85 et un attiny_84 via Serial.

Le but de ce petit projet était de comprendre comment faire discuter deux MCUs.

L'Attiny_85 contrôle la LED rouge et envoie les informations a l'Attiny_84 pour le blink de la LED bleue.

## Schéma de montage Fritzing.

<img src="Serial_comm_Attiny85_84_bb.png" align="center" width="850" height="600">

## Petit gif de démo.

![demo montage](assets/demo.gif)

## Configuration de l'Arduino en mode ISP.

- Dans le menu file de l'arduino IDE:

> => *File* => *Examples* => *ArduinoISP* => *ArduinoISP*

- Ensuite dans le menu Tools, choisir Arduino UNO (ou l'arduino que vous utilisez ne soyez pas bêtes ;) )

> => *Tools* => *Boards* => *ArduinoAVR Boards* => *Arduino UNO*

- Et pour finir définir l'arduino comme programmer ISP:

> => *Tools* => *Programmer* => *Arduino as ISP*


Enjoy <3
